Delete agent
curl --request DELETE \
--url https://prod-platform-core-api.20x.business/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Agents
Delete agent
Permanently delete an agent
DELETE
/
agents
/
{id}
Delete agent
curl --request DELETE \
--url https://prod-platform-core-api.20x.business/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));This action cannot be undone. All associated call logs and analytics are deleted
along with the agent. This endpoint’s exact behavior is not independently
verified in this documentation set — confirm on a test agent before relying on
it in production.
Path parameters
string
required
The agent ID
curl -X DELETE https://prod-comms-engine-api.20x.business/api/v1/agents/AGENT_ID \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
requests.delete(
"https://prod-comms-engine-api.20x.business/api/v1/agents/AGENT_ID",
headers={"Authorization": f"Bearer {API_KEY}"},
)
Response
Returns204 No Content on success.
